# Send Fees

Fees. To account for the costs of each blockchain, fees must be paid on both the original network and the destination network. This covers SafeSwap's portion of the smart contract interactions.

### Find the Current Fees

SafeSwap has an API endpoint that will tell you what the fees need to be. Call this API and then have the user send these fees.

**Important:** The fees must be sent by the same user who made the Swap in the smart contract in [Initiate a Swap](/builders/api-integration-guide/perform-a-swap/initiate-a-swap.md).

Get the addresses for `SAFESWAP_FEE_ADDRESS_...` [here](/builders/api-integration-guide/our-swap-addresses.md), they are the same as the `SWAP_ADDRESSES`

**For Vechain:** the fee is to be paid in **VTHO**, not VET.

### Example

```javascript
const apiResponse = await fetch(`${SWAP_API_URL}/gas-estimate?sourceChain=VECHAIN&targetChain=ETHEREUM`, {
    headers: {
      'Content-Type': 'application/json',
      'X-API-KEY': 'MY_API_KEY'
    }
});

const fees = await apiResponse.json();

const originalChainFee = fees.sourceChain;
const destinationChainFee = fees.targetChain;

const originalTx = await signerOnOriginalChain.sendTransaction({to: SAFESWAP_FEE_ADDRESS_VECHAIN, value: originalChainFee})
const destinationTx = await signerOnDestinationChain.sendTransaction({to: SAFESWAP_FEE_ADDRESS_ETHEREUM, value: destinationChainFee})

const originalFeeTxId = originalTx.hash;
const destinationFeeTxId = destinationTx.hash;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.safeswap.io/builders/api-integration-guide/perform-a-swap/send-fees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
